auto-multiple-choice-imprime
Prev | Commands manual | Next

## Name

auto-multiple-choice-imprime — prints AMC multiple choice answer sheets to be distributed to the students

## Synopsis

`auto-multiple-choice` imprime --sujet `subject.pdf` --fich-nums `numbers-file.txt` --data `data-dir` --methode `method` [where-to-print-arguments...]

## Description

The auto-multiple-choice imprime command prints selected copies from a AMC multiple choice answer sheet.

### What to print

The following arguments describe what to print:

`--sujet `subject.pdf``

  sets the subject file (prepared by auto-multiple-choice-prepare(1)).

`--fich-nums `numbers-file.txt``

  gives a file where the numbers of the copies to be printed are written (one number per line). If this argument is not given, all the copies will be printed.

`--data `data-dir``

  gives the directory where data files are (see for example auto-multiple-choice-meptex(1)). The layout database in the data directory is used to know at which page of the subject file each copy begins and ends.

`--split`

  asks to print separate answer sheets separately.

`--answer-first`

  asks to reorder the pages of each copy to get the separate answer sheet first.

### Where to print

Several printing methods are currently defined:

- with "`--methode CUPS`", auto-multiple-choice imprime prints to a CUPS printer. One print job is sent for each copy, allowing for example to use stapling. Use the following options with this method:

  `--imprimante `printer``

    sets the CUPS printer name to print to.

  `--options `cups-options``

    gives CUPS options, in the `opt1=value1,opt2=value2,...` format.

- with "`--methode file`", auto-multiple-choice imprime outputs the answer sheets to files (one for each copy).

  `--output `filename``

    sets the filename for outputs. The '`%e`' sequence will be replaced by a 4-digits copy number. If `filename` does not contain '`%e`', the string '`-%e.pdf`' will be added at its end.

- with "`--methode command`", auto-multiple-choice imprime will use a provided command for each copy.

  `--print-command `command``

    gives the command to be used for printing. The `command` string will be split at each space character (even when using quotes...). The sequence '`%f`' will be replaced by a PDF filename (containing the copy to print), and '`%e`' will be replaced by the copy number.

### Other options

Other available options:

--extract-with `command`

  gives the command to use to extract pages from the PDF subject. Currently, pdftk, gs and qpdf are available. The default value is pdftk, but qpdf and then gs will be used if the pdftk command is not installed.

Prev | Up | Next
auto-multiple-choice-meptex | Home | auto-multiple-choice-getimages